This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 696962 - Backlight turned off after resume (Dell Latitude E6410)
Backlight turned off after resume (Dell Latitude E6410)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 08:32 EDT by Reinout van Schouwen
Modified: 2013-02-13 20:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 698194 (view as bug list)
Environment:
Last Closed: 2013-02-13 20:23:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Reinout van Schouwen 2011-04-15 08:32:32 EDT
Description of problem:
Suspend to memory and resume works on this machine, but the backlight is turned off after resume.
I need to press Fn left arrow (Auto brightness) to be able to view my screen again.

Version-Release number of selected component (if applicable):
pm-utils-1.4.1-6.fc15.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. suspend system from gnome-shell or keyboard
2. resume
3.
  
Actual results:
Screen is readable

Expected results:
Screen is unreadable because the backlight is off

Additional info:
Smolt profile: http://www.smolts.org/client/show/pub_b3dcc293-7ba7-4688-80ec-abc89641e09d
Comment 1 Reinout van Schouwen 2011-11-23 04:11:42 EST
Problem still exists with Fedora 16.
Comment 2 Jaroslav Škarvada 2011-11-23 04:54:08 EST
Please check if the kernel handle this OK. There should be backlight device (mostly acpi_video0) in /sys/class/backlight. Read your current backlight settings by:
 cat /sys/class/backlight/acpi_video0/brightness
Check whether this settings persists the suspend/resume. Also try to write there new settings after resume, e.g.:
 echo 5 > /sys/class/backlight/acpi_video0/brightness
The number written there must be equal or less than /sys/class/backlight/acpi_video0/max_brightness. Please try to write there several numbers several times and check whether the backlight restores.
Comment 3 Reinout van Schouwen 2011-11-23 05:22:05 EST
(In reply to comment #2)

Even without trying suspend/resume I encounter some problems here.

>  cat /sys/class/backlight/acpi_video0/brightness

This always gives 0, regardless of the actual brightness setting (set using the Fn keys)

> Check whether this settings persists the suspend/resume. Also try to write
> there new settings after resume, e.g.:
>  echo 5 > /sys/class/backlight/acpi_video0/brightness

This always gives 'Access denied', also when I try it with sudo.

> The number written there must be equal or less than
> /sys/class/backlight/acpi_video0/max_brightness. 

The max_brightness value is 15.
Comment 4 Jaroslav Škarvada 2011-11-23 05:36:49 EST
Are there more backlight devices (directories other than acpi_video0) under /sys/class/backlight? If yes, please try the same under them.

Please provide output of: 
 # pm-utils-bugreport-info.sh
Comment 5 Reinout van Schouwen 2011-11-23 10:31:25 EST
There's just intel_backlight:
$ ls -l /sys/class/backlight
totaal 0
lrwxrwxrwx. 1 root root 0 23 nov 10:07 acpi_video0 -> ../../devices/pci0000:00/0000:00:02.0/backlight/acpi_video0
lrwxrwxrwx. 1 root root 0 23 nov 15:09 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-eDP-1/intel_backlight

pm-utils-bugreport-info gives:


$ sudo pm-utils-bugreport-info.sh
[sudo] password for reinout: 
SUSPEND LOG
Initial commandline parameters: 
Tue Nov 22 17:54:16 CET 2011: Running hooks for suspend.
Running hook /usr/lib64/pm-utils/sleep.d/00logging suspend suspend:
Linux elmont 3.1.1-2.fc16.x86_64 #1 SMP Mon Nov 14 15:46:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
tcp_lp                  2111  0 
fuse                   61671  3 
lp                      9581  0 
lockd                  70080  0 
rfcomm                 57023  6 
bnep                   14195  2 
ip6t_REJECT             4008  2 
nf_conntrack_netbios_ns     1265  0 
nf_conntrack_ipv6       7714  15 
nf_defrag_ipv6          9115  1 nf_conntrack_ipv6
nf_conntrack_broadcast     1319  1 nf_conntrack_netbios_ns
nf_conntrack_ipv4       8310  15 
nf_defrag_ipv4          1513  1 nf_conntrack_ipv4
ip6table_filter         1655  1 
xt_state                1306  30 
nf_conntrack           67597  5 nf_conntrack_netbios_ns,nf_conntrack_ipv6,nf_conntrack_broadcast,nf_conntrack_ipv4,xt_state
ip6_tables             16776  1 ip6table_filter
uvcvideo               56989  0 
btusb                  14597  2 
bluetooth             202902  23 rfcomm,bnep,btusb
snd_hda_codec_hdmi     23548  1 
videodev               78689  1 uvcvideo
media                  11511  2 uvcvideo,videodev
snd_hda_codec_idt      58062  1 
v4l2_compat_ioctl32     7665  1 videodev
snd_hda_intel          24072  4 
snd_hda_codec          85181  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
snd_hwdep               6264  1 snd_hda_codec
snd_seq                52186  0 
arc4                    1417  2 
snd_seq_device          5941  1 snd_seq
snd_pcm                78498  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
iwlagn                325170  0 
snd_timer              19372  2 snd_seq,snd_pcm
mac80211              251806  1 iwlagn
ppdev                   7360  0 
parport_pc             19600  0 
snd                    63124  17 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               6267  1 snd
cfg80211              151125  2 iwlagn,mac80211
i2c_i801                9237  0 
snd_page_alloc          7311  2 snd_hda_intel,snd_pcm
parport                32310  3 lp,ppdev,parport_pc
intel_ips              11358  0 
dell_laptop             8363  0 
iTCO_wdt               12024  0 
iTCO_vendor_support     2578  1 iTCO_wdt
e1000e                174876  0 
rfkill                 16336  5 bluetooth,cfg80211,dell_laptop
dcdbas                  7716  1 dell_laptop
dell_wmi                1657  0 
sparse_keymap           3358  1 dell_wmi
microcode              18539  0 
binfmt_misc             6983  1 
uinput                  7230  0 
sunrpc                201219  2 lockd
sdhci_pci               9197  0 
sdhci                  22955  1 sdhci_pci
mmc_core               78447  1 sdhci
firewire_ohci          26101  0 
firewire_core          49303  1 firewire_ohci
crc_itu_t               1547  1 firewire_core
wmi                     9049  1 dell_wmi
i915                  389602  11 
drm_kms_helper         26490  1 i915
drm                   194476  7 i915,drm_kms_helper
i2c_algo_bit            4958  1 i915
i2c_core               25728  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  12388  1 i915
             total       used       free     shared    buffers     cached
Mem:       3909804    3783148     126656          0      29660     727952
-/+ buffers/cache:    3025536     884268
Swap:      5996540    1046112    4950428

/usr/lib64/pm-utils/sleep.d/00logging suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/00powersave suspend suspend:

/usr/lib64/pm-utils/sleep.d/00powersave suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/01grub suspend suspend:

/usr/lib64/pm-utils/sleep.d/01grub suspend suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend:

/usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend:
Having NetworkManager put all interfaces to sleep...Done.

/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/56atd suspend suspend:

/usr/lib64/pm-utils/sleep.d/56atd suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend:

/usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/75modules suspend suspend:

/usr/lib64/pm-utils/sleep.d/75modules suspend suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/90clock suspend suspend:

/usr/lib64/pm-utils/sleep.d/90clock suspend suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend:

/usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/95led suspend suspend:

/usr/lib64/pm-utils/sleep.d/95led suspend suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend:

/usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend:
Kernel modesetting video driver detected, not using quirks.

/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/99video suspend suspend:
kernel.acpi_video_flags = 0

/usr/lib64/pm-utils/sleep.d/99video suspend suspend: success.
Tue Nov 22 17:54:18 CET 2011: performing suspend
Wed Nov 23 10:07:11 CET 2011: Awake.
Wed Nov 23 10:07:11 CET 2011: Running hooks for resume
Running hook /usr/lib64/pm-utils/sleep.d/99video resume suspend:

/usr/lib64/pm-utils/sleep.d/99video resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler resume suspend:

/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/95packagekit resume suspend:
method return sender=:1.286 -> dest=:1.285 reply_serial=2

/usr/lib64/pm-utils/sleep.d/95packagekit resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/95led resume suspend:

/usr/lib64/pm-utils/sleep.d/95led resume suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend:

/usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/90clock resume suspend:

/usr/lib64/pm-utils/sleep.d/90clock resume suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/75modules resume suspend:
Reloaded unloaded modules.

/usr/lib64/pm-utils/sleep.d/75modules resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/56dhclient resume suspend:

/usr/lib64/pm-utils/sleep.d/56dhclient resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/56atd resume suspend:

/usr/lib64/pm-utils/sleep.d/56atd resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend:
Having NetworkManager wake interfaces back up...Done.

/usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend:

/usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/01grub resume suspend:

/usr/lib64/pm-utils/sleep.d/01grub resume suspend: not applicable.
Running hook /usr/lib64/pm-utils/sleep.d/00powersave resume suspend:

/usr/lib64/pm-utils/sleep.d/00powersave resume suspend: success.
Running hook /usr/lib64/pm-utils/sleep.d/00logging resume suspend:

/usr/lib64/pm-utils/sleep.d/00logging resume suspend: success.
Wed Nov 23 10:07:15 CET 2011: Finished.
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Nov 21 14:00 disk
-rw-r--r--. 1 root root 4096 Nov 23 16:29 image_size
-rw-r--r--. 1 root root 4096 Nov 23 16:29 pm_async
-rw-r--r--. 1 root root 4096 Nov 23 16:29 pm_test
-rw-r--r--. 1 root root 4096 Nov 23 16:29 pm_trace
-rw-r--r--. 1 root root 4096 Nov 23 16:29 pm_trace_dev_match
-rw-r--r--. 1 root root 4096 Nov 23 16:29 reserved_size
-rw-r--r--. 1 root root 4096 Nov 23 16:29 resume
-rw-r--r--. 1 root root 4096 Nov 22 17:54 state
-rw-r--r--. 1 root root 4096 Nov 23 16:29 wakeup_count
======
SYS POWER STATE
mem disk
======
SYS POWER DISK
[platform] test testproc shutdown reboot 
======
QUIRKDB
Kernel modesetting video driver detected, not using quirks.
location: /usr/lib64/pm-utils/video-quirks
total 88
drwxr-xr-x. 2 root root  4096 Nov  4 13:30 .
dr-xr-xr-x. 7 root root  4096 Nov  4 13:30 ..
-rw-r--r--. 1 root root  5338 Aug 22 15:39 20-video-quirk-pm-acer.quirkdb
-rw-r--r--. 1 root root   899 Aug 22 15:39 20-video-quirk-pm-apple.quirkdb
-rw-r--r--. 1 root root  4259 Aug 22 15:39 20-video-quirk-pm-asus.quirkdb
-rw-r--r--. 1 root root  5942 Aug 22 15:39 20-video-quirk-pm-dell.quirkdb
-rw-r--r--. 1 root root  3671 Aug 22 15:39 20-video-quirk-pm-fujitsu.quirkdb
-rw-r--r--. 1 root root 10798 Aug 22 15:39 20-video-quirk-pm-hp.quirkdb
-rw-r--r--. 1 root root  3911 Aug 22 15:39 20-video-quirk-pm-ibm.quirkdb
-rw-r--r--. 1 root root  3680 Aug 22 15:39 20-video-quirk-pm-lenovo.quirkdb
-rw-r--r--. 1 root root 11584 Aug 22 15:39 20-video-quirk-pm-misc.quirkdb
-rw-r--r--. 1 root root   943 Aug 22 15:39 20-video-quirk-pm-samsung.quirkdb
-rw-r--r--. 1 root root  2289 Aug 22 15:39 20-video-quirk-pm-sony.quirkdb
-rw-r--r--. 1 root root  4133 Aug 22 15:39 20-video-quirk-pm-toshiba.quirkdb
======
SYS PROPS
system_firmware_version: A04
system_firmware_vendor: Dell Inc.
system_firmware_release_date: 07/08/2010
system_hardware_vendor: Dell Inc.
system_hardware_product: Latitude E6410
system_hardware_version: 0001
system_board_product: 0667CC
system_board_version: A01
system_board_vendor: Dell Inc.
system_hardware_primary_video_vendor: 0x8086
system_hardware_primary_video_product: 0x0046
system_hardware_primary_video_driver: i915
system_hardware_primary_video_using_kms: true
system_kernel_version: 3.1.1-2.fc16.x86_64
======
QUIRKS USED
--quirk-no-chvt
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Jul 29 10:49 config.d
drwxr-xr-x. 2 root root 4096 Jul 29 10:49 power.d
drwxr-xr-x. 2 root root 4096 Jul 29 10:49 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux elmont 3.1.1-2.fc16.x86_64 #1 SMP Mon Nov 14 15:46:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-3.1.1-1.fc16
kernel-3.1.1-1.bz590880.fc16
kernel-3.1.1-2.fc16
pm-utils-1.4.1-12.fc16
hal-0.5.14-6.fc15
hal-info-20090716-4.fc15
gnome-power-manager-3.2.1-1.fc16
vbetool-1.2.2-1.fc12
radeontool-1.5-7.fc15
hdparm-9.36-2.fc15
======
FEDORA RELEASE
Fedora release 16 (Verne)
======
Comment 6 Reinout van Schouwen 2011-11-23 10:50:02 EST
As for the intel_backlight device, I tried:

[reinout@elmont ~]$ cat /sys/class/backlight/intel_backlight/brightness 
93
[reinout@elmont ~]$ cat /sys/class/backlight/intel_backlight/max_brightness 
93
[reinout@elmont ~]$ sudo echo 5 > /sys/class/backlight/intel_backlight/brightness 
bash: /sys/class/backlight/intel_backlight/brightness: Toegang geweigerd

So it's access denied when trying to set the brightness value. The value of 93 diesn't correspond with the actual brightness of the backlight, it's always the same.
Comment 7 Fedora End Of Life 2013-01-16 17:52:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 20:23:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.